<?php
/**
 * Geo CExt
 */
require_once 'Platy/CExt.php';

class Platy_CExt_Geo extends Platy_CExt
{
    function install()
    {
        global $db;
        
        $sql[] = "CREATE TABLE Platy_CExt_Geo("
             . "id          integer PRIMARY KEY,"
             . "lat         double,"
             . "lng         double,"
             . "zoom        int,"
             . "html        text"
             . ");";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        return true;
    }
    
    function uninstall()
    {
        global $db;
        
        $sql[] = "DROP TABLE Platy_CExt_Geo";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        return true;
    }
    
    // イベントハンドラ
    
    function event_AddContentFormExtras()
    {
        global $config;
        
        echo '<tr><th>Geometric Data</th><td>';
?>
<script type="text/javascript" src="http://www.google.com/jsapi?key=<?php echo $config['GOOGLEMAPS_KEY'] ?>"></script>
<script type="text/javascript">
  google.load("maps", "2.x");
  function geo_initialize() {
    var map = new google.maps.Map2(document.getElementById("map_canvas"));
    map.setCenter(new google.maps.LatLng(37.4419, -122.1419), 13);
  }
  google.setOnLoadCallback(geo_initialize);
</script>
<div id="map_canvas" style="width: 100%; height: 300px"></div>
<?php
        echo '</td></tr>' . "\n";
    }
    
    function event_PostContentFooter() 
    {
        global $db, $currentContent, $Me;
    }
    
    function event_PostContent()
    {

    }
    
    public function getSummary()
    {
        return 'コンテンツにGeometric Data(地図)を付加します';
    }
}
?>
